Bug 211003 - Xen version strings need to reflect exact Red Hat build number
Summary: Xen version strings need to reflect exact Red Hat build number
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Xen Maintainance List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-16 19:34 UTC by Stephen Tweedie
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-13 16:54:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Include RPM build version in the Xen startup version information (2.74 KB, patch)
2006-10-16 19:36 UTC, Stephen Tweedie
no flags Details | Diff
Updated version of the "xen-version-strings.patch" file (1.20 KB, patch)
2006-10-17 09:27 UTC, Stephen Tweedie
no flags Details | Diff

Description Stephen Tweedie 2006-10-16 19:34:38 UTC
Description of problem:
The Xen version strings announced by the hypervisor at boot time are currently
too vague, giving no indication of the Red Hat build number.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.18-1.2727.el5

How reproducible:
100%

Steps to Reproduce:
1. Boot.

Actual results:
Boot claims to be "xen-3.0-unstable"

Expected results:
"xen-3.0-unstable-1.2727.el5" or similar

Comment 1 Stephen Tweedie 2006-10-16 19:36:55 UTC
Created attachment 138614 [details]
Include RPM build version in the Xen startup version information

Comment 2 Don Zickus 2006-10-17 02:32:57 UTC
in kernel-2.6.18-1.2728.el5

Comment 3 Stephen Tweedie 2006-10-17 09:25:46 UTC
Not fixed --- the patch was mis-applied.  It creates the
"xen-version-strings.patch" file in kernel*/xen/, rather than *applying* it in
kernel*/xen.

Will attach new version of xen-version-strings.patch in a form that can be
dropped in, and which works against the new "rc5" version currently in CVS.

Comment 4 Stephen Tweedie 2006-10-17 09:27:15 UTC
Created attachment 138669 [details]
Updated version of the "xen-version-strings.patch" file

to be dropped directly into CVS.

Comment 5 Jay Turner 2007-02-13 16:54:18 UTC
Patches confirmed in 2.6.18-8.el5.


Note You need to log in before you can comment on or make changes to this bug.